InetAddress Class Reference
Inheritance diagram for InetAddress:

## Public Member Functions

| InetAddress (const LogString &hostName, const LogString &hostAddr)
LogString | getHostAddress () const
| Returns the IP address string "%d.%d.%d.%d". More...
LogString | getHostName () const
| Gets the host name for this IP address. More...
LogString | toString () const
| Converts this IP address to a String. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions

static InetAddressList | getAllByName (const LogString &host)
| Determines all the IP addresses of a host, given the host's name. More...
static InetAddressPtr | getByName (const LogString &host)
| Determines the IP address of a host, given the host's name. More...
static InetAddressPtr | getLocalHost ()
| Returns the local host. More...
static InetAddressPtr | anyAddress ()
| Returns an InetAddress which can be used as any address, for example when listening on a port from any remote addresss. More...
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Additional Inherited Members

Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Constructor & Destructor Documentation

InetAddress | ( | const LogString & | hostName,
|  | const LogString & | hostAddr
| ) |  |

## Member Function Documentation

static InetAddressPtr anyAddress | ( |  | ) |

static

Returns an InetAddress which can be used as any address, for example when listening on a port from any remote addresss.

static InetAddressList getAllByName | ( | const LogString & | host | ) |

static

Determines all the IP addresses of a host, given the host's name.

static InetAddressPtr getByName | ( | const LogString & | host | ) |

static

Determines the IP address of a host, given the host's name.

LogString getHostAddress | ( |  | ) | const

Returns the IP address string "%d.%d.%d.%d".

LogString getHostName | ( |  | ) | const

Gets the host name for this IP address.

static InetAddressPtr getLocalHost | ( |  | ) |

static

Returns the local host.

LogString toString | ( |  | ) | const

Converts this IP address to a String.

The documentation for this class was generated from the following file:

- inetaddress.h